<md-toolbar class="md-hue-2 no-print">
    <div class="md-toolbar-tools">
        <div flex md-truncate>
            <h2>Lot</h2>
        </div>
        <!-- <md-input-container>
            <label>Round</label>
            <md-select ng-model="master.round_id" ng-change="round_change()">
                <md-option><em>None</em></md-option>
                <md-option ng-repeat="x in Round" ng-value="x.roundId">
                    {{x.roundName}}
                </md-option>
            </md-select>
        </md-input-container>
        <md-button class="md-raised md-primary" ng-click="btnLoadClick()">Load</md-button>
        <md-button class="md-raised md-primary" ng-click="btnSaveClick()">Save</md-button>
        <md-button class="md-raised md-primary" ng-click="btnindexClick()">Index</md-button> -->

    </div>
</md-toolbar>
<br>
<div class="container">

    <h3 style="text-align: center;" ng-if="type=='BALANCE'" >Balance Lot for next round.</h3>
    {{get_heading_1()}}
    
    <h3 style="text-align: center;" ng-if="type!='BALANCE'" >Lot List.</h3>

    <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;" ng-if="type!='BALANCE'">
        <thead>
            <tr>
                <td style="width: 80px;">Sr No.</td>
                <td style="width: 90px;">Lot No</td>
                <td style="width: 80px;">Uname</td>
                <td style="width: 80px;">Name</td>
                <!-- <td style="width: 80px;">Place</td>
                <td style="width: 80px;">Godawn</td> -->
                <td style="width: 80px;">ACTB</td>
                <td style="width: 80px; text-align: right;">STANB</td>
                <td>DISTU</td>
                <!-- <td style="width: 80px;">Option</td> -->
                <!-- <td style="width: 80px;">Upset</td> -->
                <td style="width: 80px;" class="no-print">LRATE</td>
                <td style="width: 80px;" class="no-print">WT</td>
                <!-- <td style="width: 80px;">ROUNDPASS</td> -->
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="(m,x) in lots | orderBy:lotInd">
                <td>
                    <input type="checkbox" class="no-print" ng-model="x.action" ng-if="type!='BALANCE' && x.lotNameU " />
                    {{x.ind}}
                    <!-- <span ng-if="type!='BALANCE'"> {{m+1}}</span> -->
                    <!-- <md-checkbox ng-if="type!='BALANCE'" ng-model="x.action" aria-label="Checkbox 1" class="no-print">
                        {{m+1}}
                    </md-checkbox> -->
                    
                    <!-- <P ng-if="type=='BALANCE'">{{x.ind+1}}</P> -->
                </td>
                <td>{{x.lotNo}}</td>
                <td ng-if="!x.action">{{x.lotNameU}}</td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <!-- <label>STANB</label> -->
                        <input ng-model="x.lotNameU" type="text">
                    </md-input-container>
                    <!-- {{x.lotNameU}} -->
                </td>
                <td ng-if="!x.action">{{x.lotName}}</td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <!-- <label>STANB</label> -->
                        <input ng-model="x.lotName" type="text">
                    </md-input-container>
                    <!-- {{x.lotName}} -->
                </td>
                <!-- <td>{{x.lotPlace}}</td>
                <td>{{x.lotGodawn}}</td> -->
                <td ng-if="!x.action"> <b ng-if="!x.lotNameU">{{x.lotACTB}}</b><span ng-if="x.lotNameU">{{x.lotACTB}}</span></td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <!-- <label>STANB</label> -->
                        <input ng-model="x.lotACTB" type="text">
                    </md-input-container>
                </td>
                <td ng-if="!x.action" style="text-align: right;"><b ng-if="!x.lotNameU">{{x.lotSTANB}}</b><span ng-if="x.lotNameU">{{x.lotSTANB}}</span></td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <label>STANB</label>
                        <input ng-model="x.lotSTANB" type="text">
                    </md-input-container>
                </td>
                <td ng-if="!x.action">{{x.lotDISTU}}</td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <input ng-model="x.lotDISTU" type="text">
                    </md-input-container>
                </td>
                <!-- <td>{{x.lotOption}}</td> -->
                <!-- <td ng-if="!x.action">{{x.lotUpset}}</td> -->
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <label>Last Year Rate</label>
                        <input ng-model="x.lotUpset" type="text">
                    </md-input-container>
                    <!-- {{x.lotUpset}} -->
                </td>
                <td ng-if="!x.action" class="no-print">{{x.lotLRATE}}</td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <label>Last Year Rate</label>
                        <input ng-model="x.lotLRATE" type="text">
                    </md-input-container>
                </td>
                <td ng-if="!x.action" class="no-print">{{x.lotWT}}</td>
                <td ng-if="x.action" class="no-print">
                    <md-input-container class="col-md-12">
                        <label>WT</label>
                        <input ng-model="x.lotWT" type="text">
                    </md-input-container>
                </td>
                <!-- <td ng-if="!x.action">{{x.lotROUNDPASS}}</td> -->
                <td ng-if="x.action">
                    <div class="row">
                        <span class="col-md-6">{{x.lotROUNDPASS}}</span>
                        <span class="col-md-6">
                            <md-button class="md-raised md-primary" ng-click="btnSaveRoundClick(x)">Save</md-button>
                        </span>
                    </div>
                </td>
                <tr>
                    <td colspan="5"><b>Total</b></td>
                    <td style="text-align: right;"><b>{{get_sbag()}}</b></td>
                    <td colspan="3"></td>
                </tr>
        </tbody>

    </table>


    <table class="table table-bordered table-striped table-hover table-sm" style="font-size: 13px;" ng-if="type=='BALANCE'">
        <thead>
            <tr>
                <td style="width: 80px;">Sr No.</td>
                <td style="width: 90px;">Lot No</td>
                <td style="width: 80px;">Uname</td>
                <td style="width: 80px;">Name</td>
                <!-- <td style="width: 80px;">Place</td>
                <td style="width: 80px;">Godawn</td> -->
                <td style="width: 80px;">ACTB</td>
                <td style="width: 80px; text-align: right;">STANB</td>
                <td>DISTU</td>
                <!-- <td style="width: 80px;">Option</td> -->
                <!-- <td style="width: 80px;">Upset</td> -->
                <!-- <td style="width: 80px;" class="no-print">LRATE</td>
                <td style="width: 80px;" class="no-print">WT</td> -->
                <!-- <td style="width: 80px;">ROUNDPASS</td> -->
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="(m,x) in lots | orderBy:lotInd">
                <td>
                    <input type="checkbox" class="no-print" ng-model="x.action" ng-if="type!='BALANCE' && x.lotNameU " />
                    {{x.ind}}
                    <!-- <span ng-if="type!='BALANCE'"> {{m+1}}</span> -->
                    <!-- <md-checkbox ng-if="type!='BALANCE'" ng-model="x.action" aria-label="Checkbox 1" class="no-print">
                        {{m+1}}
                    </md-checkbox> -->
                    
                    <!-- <P ng-if="type=='BALANCE'">{{x.ind+1}}</P> -->
                </td>
                <td>{{x.lotNo}}</td>
                <td ng-if="!x.action">{{x.lotNameU}}</td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <!-- <label>STANB</label> -->
                        <input ng-model="x.lotNameU" type="text">
                    </md-input-container>
                    <!-- {{x.lotNameU}} -->
                </td>
                <td ng-if="!x.action">{{x.lotName}}</td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <!-- <label>STANB</label> -->
                        <input ng-model="x.lotName" type="text">
                    </md-input-container>
                    <!-- {{x.lotName}} -->
                </td>
                <!-- <td>{{x.lotPlace}}</td>
                <td>{{x.lotGodawn}}</td> -->
                <td ng-if="!x.action"> <b ng-if="!x.lotNameU">{{x.lotACTB}}</b><span ng-if="x.lotNameU">{{x.lotACTB}}</span></td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <!-- <label>STANB</label> -->
                        <input ng-model="x.lotACTB" type="text">
                    </md-input-container>
                </td>
                <td ng-if="!x.action" style="text-align: right;"><b ng-if="!x.lotNameU">{{x.lotSTANB}}</b><span ng-if="x.lotNameU">{{x.lotSTANB}}</span></td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <label>STANB</label>
                        <input ng-model="x.lotSTANB" type="text">
                    </md-input-container>
                </td>
                <td ng-if="!x.action">{{x.lotDISTU}}</td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <input ng-model="x.lotDISTU" type="text">
                    </md-input-container>
                </td>
                <!-- <td>{{x.lotOption}}</td> -->
                <!-- <td ng-if="!x.action">{{x.lotUpset}}</td> -->
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <label>Last Year Rate</label>
                        <input ng-model="x.lotUpset" type="text">
                    </md-input-container>
                    <!-- {{x.lotUpset}} -->
                </td>
                <!-- <td ng-if="!x.action" class="no-print">{{x.lotLRATE}}</td>
                <td ng-if="x.action">
                    <md-input-container class="col-md-12">
                        <label>Last Year Rate</label>
                        <input ng-model="x.lotLRATE" type="text">
                    </md-input-container>
                </td>
                <td ng-if="!x.action" class="no-print">{{x.lotWT}}</td>
                <td ng-if="x.action" class="no-print">
                    <md-input-container class="col-md-12">
                        <label>WT</label>
                        <input ng-model="x.lotWT" type="text">
                    </md-input-container>
                </td> -->
                <!-- <td ng-if="!x.action">{{x.lotROUNDPASS}}</td> -->
                <td ng-if="x.action">
                    <div class="row">
                        <span class="col-md-6">{{x.lotROUNDPASS}}</span>
                        <span class="col-md-6">
                            <md-button class="md-raised md-primary" ng-click="btnSaveRoundClick(x)">Save</md-button>
                        </span>
                    </div>
                </td>
                <tr>
                    <td colspan="5"><b>Total</b></td>
                    <td style="text-align: right;"><b>{{get_sbag()}}</b></td>
                    <td colspan="3"></td>
                </tr>
        </tbody>

    </table>
</div>